#### CHECK

#### Synopsis

    HELP:   Activate additional optional verifications [FALSE]
    TYPE:   SWITCH
    SYNTAX: CHECK

#### Description

The CHECK switch of CONV.READ activates these additional verifications:

- Check the CRC checksum that is appended to ASCII-armored data (if available)
- Check the ASCII armor trailer against the header when decoding ASCII armor

In the future, there will be more optional verifications which can be activated through this switch.

Example: Activate verification of CRC for ASCII-armored PGP file.

     flcl conv
       read.auto(file='~.test.txt.gz.pgp' decrypt.pgp() check)
       write.record(file='~test.vb' ccsid=ibm1141)